- Print
- DarkLight
- PDF
Sync Thread List
- Print
- DarkLight
- PDF
Changelog
| Version | Description |
|---|---|
| 1.0.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
The room ID. It is required if the roomName is not provided.
The room name. It is required if the roomId is not provided.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items.
The number of items to return.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }
Date as an ISO string. When you provide the updatedSince query parameter, then the update and remove parameters in the response will contain only those updated and removed since this date and time.
OK
{
"threads": {
"update": [
{
"_id": "J8Sqi5zPw62WgE4Md",
"rid": "GENERAL",
"msg": "test1",
"ts": "2019-04-16T18:16:00.614Z",
"u": {
"_id": "rocketchat.internal.admin.test",
"username": "rocketchat.internal.admin.test",
"name": "QuickMeet.Chat Internal Admin Test"
},
"_updatedAt": "2019-04-16T18:17:09.749Z",
"mentions": [],
"channels": [],
"replies": [
"rocketchat.internal.admin.test"
],
"tcount": 1,
"tlm": "2019-04-16T18:17:09.672Z"
},
{
"_id": "hbs2ZAjHH2JXrP7C7",
"rid": "GENERAL",
"msg": "another test",
"ts": "2019-04-16T18:13:20.403Z",
"u": {
"_id": "rocketchat.internal.admin.test",
"username": "rocketchat.internal.admin.test",
"name": "QuickMeet.Chat Internal Admin Test"
},
"_updatedAt": "2019-04-16T18:30:46.722Z",
"mentions": [],
"channels": [],
"replies": [
"rocketchat.internal.admin.test"
],
"tcount": 1,
"tlm": "2019-04-16T18:30:46.615Z"
}
],
"remove": [
{
"_id": "GXwCSs4cx6456WBJk",
"rid": "GENERAL",
"msg": "test",
"ts": "2019-04-16T18:13:39.217Z",
"u": {
"_id": "rocketchat.internal.admin.test",
"username": "rocketchat.internal.admin.test",
"name": "QuickMeet.Chat Internal Admin Test"
},
"_updatedAt": "2019-04-16T18:16:00.696Z",
"mentions": [],
"channels": [],
"replies": [
"rocketchat.internal.admin.test"
],
"tcount": 1,
"tlm": "2019-04-16T18:16:00.614Z",
"_deletedAt": "2019-04-16T18:16:13.508Z",
"__collection__": "message"
}
]
},
"success": true
}Bad Request
{
"success": false,
"error": "The required \"rid\" query param is missing. [error-room-id-param-not-provided]",
"errorType": "error-room-id-param-not-provided"
}{
"success": false,
"error": "The required param \"updatedSince\" is missing. [error-updatedSince-param-invalid]",
"errorType": "error-updatedSince-param-invalid"
}{
"success": false,
"error": "The \"updatedSince\" query parameter must be a valid date. [error-updatedSince-param-invalid]",
"errorType": "error-updatedSince-param-invalid"
}Unauthorized
{
"status": "error",
"message": "You must be logged in to do this."
}